Name:           steam
Version:        1.0.0.49
Release:        %mkrel 2
Summary:        Installer for the Steam software distribution service
Group:          Games/Other
# Redistribution and repackaging for Linux is allowed, see license file
License:        Steam License Agreement
URL:            http://www.steampowered.com/
Source0:        http://repo.steampowered.com/steam/pool/steam/s/steam/%{name}_%{version}.tar.gz
# TODO: Add needed runtime requires
#(nl) Needed for the licence agreement.
Requires:       zenity
# 32bit libGL.so is always needed (mga#9577)
Requires:       libmesagl1
BuildArch:      noarch

%description
Installer for the Steam software distribution service.
Steam is a software distribution service with an online store, automated
installation, automatic updates, achievements, SteamCloud synchronized
savegame and screenshot functionality, and many social features.

%prep
%setup -q -n %{name}

%build

%install
%makeinstall_std

install -D -m644 lib/udev/rules.d/99-steam-controller-perms.rules \
    %{buildroot}%{_udevrulesdir}/99-steam-controller-perms.rules

%files
%doc %{_docdir}/steam/*
%{_bindir}/steam
%{_bindir}/steamdeps
%{_prefix}/lib/steam/bootstraplinux_ubuntu12_32.tar.xz
%{_datadir}/applications/steam.desktop
%{_iconsdir}/hicolor/*/apps/steam.*
%{_mandir}/man6/steam.6.*
%{_datadir}/pixmaps/steam*.png
%{_udevrulesdir}/99-steam-controller-perms.rules


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.0.49-2.mga5
+ Revision: 741326
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 akien <akien> 1.0.0.49-1.mga5.nonfree
+ Revision: 732331
- Version 1.0.0.49 (new icon + udev controller rules)

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0.36-4.mga5.nonfree
+ Revision: 689537
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.0.0.36-3.mga4.nonfree
+ Revision: 548493
- Mageia 4 rebuild

* Wed May 08 2013 luigiwalser <luigiwalser> 1.0.0.36-2.mga3.nonfree
+ Revision: 412603
- require the correct package for libGL.so (mga#9577)

* Mon Apr 01 2013 neoclust <neoclust> 1.0.0.36-1.mga3.nonfree
+ Revision: 407050
- New version: Use tar.gz instead of .deb files

* Sun Mar 31 2013 tv <tv> 1.0.0.25-2.mga3.nonfree
+ Revision: 406862
- requires libGL.so 32 bit

* Sat Feb 09 2013 neoclust <neoclust> 1.0.0.25-1.mga3.nonfree
+ Revision: 397619
- Add real version
  Add Zenity as Require ( needed for licence agreement )

* Fri Feb 08 2013 neoclust <neoclust> 0-1.mga3.nonfree
+ Revision: 397221
- imported package steam

